Subject: bug#16649: Right margin overflows on neighboring windows.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Feb 2014 09:52:24 +0200

> From: E Sabof <[email-masked]>
> Date: Fri, 07 Feb 2014 02:45:15 +0000
> Cc: [email-masked]
> 
> Sorry, the right fringe renders correctly, but the margin still overflows. Attached is a screenshot of magit-log, where this can be seen. Below is a test case.
> 
> Evgeni
> 
> (let ((ov (make-overlay (point-min) (point-max))))
>   (overlay-put ov
>                'before-string
>                (propertize "o" 'display
>                            (list '(margin right-margin)
>                                  (propertize
>                                   "Laetamur quis quam, aliqua nostrum."
>                                   'face '(:background "yellow")
>                                   ))))
>   (set-window-margins nil (car (window-margins)) 30))

Could you please tell what exactly is wrong with display in the above
test case?  And what does "the margin overflows" mean?  Maybe I'm
blind, but I don't see anything wrong when I eval the above code.

As for the magit display, it is so loaded with stuff that it is hard
to even know where's the margin there.  So please tell where to look
and what is it that you think is wrong in that screenshot.

Thanks.